Bug 1316241 - If the /var/spool/rhn directory does not exists on the client, the job tracebacks and never changes its status to failed
If the /var/spool/rhn directory does not exists on the client, the job traceb...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
570
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jan Dobes
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 13:45 EST by Marcelo Moreira de Mello
Modified: 2016-04-26 14:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-29 10:52:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Tomas Lestach 2016-03-10 08:46:23 EST
The reproducer steps as defined are conflicting.
If I want to run remote commands on the client, I have to enable them using 'rhn-actions-control'. So, I need to install 'rhncfg-actions' package.
rhncfg and rhncfg-client packages will be installed as dependencies, so they are crucial to execute the remove commands on the client.
I simply cannot remove /var/spool/rhn directory, as it's a necessary part of rhncfg:
# rpm -qf /var/spool/rhn
rhncfg-5.10.74-10.el6sat.noarch

This is not a valid scenario, we would support.


I'm aware the customer would like to see the action being failed on the server (immediately). There are other mechanisms to mark the action as failed, in case it was picked, but not finished within some time.
I see the action has been marked as failed after 10 times it was picked up and not finished. With osad on, it took 1-2 mins.

Very low prio bug.
Comment 2 Alessandro Silva 2016-03-22 12:17:38 EDT
Even it is a low priority bug, is there any update about it? We are able to make a prediction for the customer?
Comment 3 Tomas Lestach 2016-03-29 10:52:23 EDT
I'm closing the bug as deleting directories the client tools rely on makes the customer setup unsupported.
We have no intentions to do any changes in this area. Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.